import { useState, useEffect } from 'react'
import starOn from '@/assets/icons/GuideCheck/starOn.png'
import starOff from '@/assets/icons/GuideCheck/starOff.png'
import AlreadyUsedMolded from '@/components/AlreadyUsedMolded'
import Popup from '@/components/Popup'
import './style.less'


const scoreList = new Array(5).fill(0)
const score = '3.9'



export default (props) => {
  const { showCutover, maskClosable, list, onClose } = props

  const [CollectNub, setCollectNub] = useState(1)

  const ButtonCancel = () => {
    onClose()
  }
  const ButtonOK = (e) => {
    onClose()

  }

  const Nuberr = () => {
    setCollectNub(+1)
  }

  return (
    <Popup show={showCutover} maskClosable={maskClosable} onClose={onClose} className='box-content' >
      <AlreadyUsedMolded list={list} />
      <view className='item-center-Number' >
        {/* 评分 */}
        <view className='card-box-star'>
          <text className='card-box-star-text' onClick={Nuberr} >口味：</text>
          {
            scoreList.map((_, index) => {

              const src = (index + `${CollectNub}`) < score ? starOn : starOff
              return (
                <image className='card-star-image' key={index} src={src} onClick={Nuberr} />
              )
            })
          }
        </view>
        <view className='card-box-star'>
          <text className='card-box-star-text' onClick={Nuberr} >环境：</text>
          {
            scoreList.map((_, index) => {

              const src = (index + `${CollectNub}`) < score ? starOn : starOff
              return (
                <image className='card-star-image' key={index} src={src} onClick={Nuberr} />
              )
            })
          }
        </view>
        <view className='card-box-star'>
          <text className='card-box-star-text' onClick={Nuberr} >服务：</text>
          {
            scoreList.map((_, index) => {

              const src = (index + `${CollectNub}`) < score ? starOn : starOff
              return (
                <image className='card-star-image' key={index} src={src} onClick={Nuberr} />
              )
            })
          }
        </view>
      </view>
      <view className='buy-button-box' >
        <button className='button-Cancel' onClick={ButtonCancel} >取消</button>
        <button className='button-OK' onClick={ButtonOK} >确定</button>
      </view>
    </Popup>


  )
}
