import { useEffect } from "react";
import Taro from '@tarojs/taro';
import { useModel } from "@/store";

export default function(messageType, dep) {
  const { messageTpls } = useModel('system')

  useEffect(() => {
    if (!messageTpls || !messageTpls.length) return;

    if (dep && messageType) {
      const tpl = messageTpls.filter(x => x.messageType === messageType)[0] || {}

      if (tpl.templateId) {
        Taro.requestSubscribeMessage({
          tmplIds: [tpl.templateId]
        })
      }
    }
  }, [messageTpls, messageType, dep])
}
